Bug 1314078 - [gnome-terminal] fails to start up after updating to vte291-0.43.91-1.fc24
[gnome-terminal] fails to start up after updating to vte291-0.43.91-1.fc24
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
24
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24AlphaBlocker
  Show dependency treegraph
 
Reported: 2016-03-02 15:41 EST by Joachim Frieben
Modified: 2016-03-05 02:45 EST (History)
5 users (show)

See Also:
Fixed In Version: gnome-terminal-3.19.91-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-05 02:45:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2016-03-02 15:41:25 EST
Description of problem:
After updating to vte291-0.43.91-1.fc24, gnome-terminal fails to start up with the error message:

  "Error constructing proxy for org.gnome.Terminal:/org/gnome/Terminal/Factory0: Error calling StartServiceByName for org.gnome.Terminal: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Process org.gnome.Terminal exited with status 127"

Version-Release number of selected component (if applicable):
gnome-terminal-3.19.2-1.fc24

How reproducible:
Always

Steps to Reproduce:
1. Update to vte291-0.43.91-1.fc24.
2. Launch gnome-terminal from the command line.

Actual results:
gnome-terminal fails to start up returning the error message cited above.

Expected results:
gnome-terminal starts up as expected.

Additional info:
None
Comment 1 Christian Persch (GNOME) 2016-03-03 05:36:48 EST
Bug 1314143 is a dup but contains the crucial info:
org.gnome.Terminal[1421]: /usr/libexec/gnome-terminal-server: symbol lookup error: /usr/libexec/gnome-terminal-server: undefined symbol: vte_terminal_search_set_regex

gnome-terminal needs to be rebuilt against using --without-pcre2 (or just updated to 3.19.91).
Comment 2 Petr Schindler 2016-03-04 02:08:28 EST
I can confirm that with gnome-terminal-3.19.91-1 gnome-terminal starts.

Just for purpose of tracking I'm proposing this as alpha blocker as it violates the criterion: "It must be possible to run the default web browser and a terminal application from all release-blocking desktop environments."

Note You need to log in before you can comment on or make changes to this bug.